#include "include.h"
#include "func_usbdev.h"

#if FUNC_USBDEV_EN

AT(.text.func.usbdev)
void func_usbdev_process(void)
{
    usb_event_process();
}

void func_usbdev_enter(void)
{
    if (!dev_is_online(DEV_USBPC)) {
        return;
    }

    usb_insert_callback();
    usb_device_enter(USB_DEVICE_TYPE);
}

void func_usbdev_exit(void)
{
    usb_device_exit();
}

#endif // FUNC_USBDEV_EN

